ShiwakeDocs
Wallet products

/banking/wallet-products

GET
/api/v1/banking/wallet-products
X-Api-Key<token>

Tenant API key (sk_live_…), minted from the platform console.

In: header

Query Parameters

isActive?boolean

Response Body

application/json

curl -X GET "https://example.com/api/v1/banking/wallet-products"
{  "message": "string",  "code": 0,  "data": [    {      "id": "string",      "name": "string",      "code": "string",      "ownerType": "string",      "defaultTier": "string",      "defaultCurrency": "string",      "accountCodeTemplate": "string",      "isActive": true,      "metadata": {        "property1": {          "options": {            "propertyNameCaseInsensitive": true          },          "parent": {},          "root": {}        },        "property2": {          "options": {            "propertyNameCaseInsensitive": true          },          "parent": {},          "root": {}        }      },      "createdAt": "2019-08-24T14:15:22Z",      "updatedAt": "2019-08-24T14:15:22Z"    }  ]}
Edit on GitHub

Last updated on